Skip to main content
Server path: /paystack-payments | Type: Application | PCID required: Yes

Tools

ToolDescription
paystack_payments_charge_checkCheck pending charge
paystack_payments_charge_createCreate Charge
paystack_payments_charge_submit_addressSubmit Address
paystack_payments_charge_submit_birthdaySubmit Birthday
paystack_payments_charge_submit_otpSubmit OTP
paystack_payments_charge_submit_phoneSubmit Phone
paystack_payments_charge_submit_pinSubmit PIN
paystack_payments_dispute_downloadExport Disputes
paystack_payments_dispute_evidenceAdd Evidence
paystack_payments_dispute_fetchFetch Dispute
paystack_payments_dispute_listList Disputes
paystack_payments_dispute_resolveResolve Dispute
paystack_payments_dispute_transactionList Transaction Disputes
paystack_payments_dispute_updateUpdate Dispute
paystack_payments_dispute_upload_urlFetch Upload URL
paystack_payments_payment_request_archiveArchive Payment Request
paystack_payments_payment_request_createCreate Payment Request
paystack_payments_payment_request_fetchFetch Payment Request
paystack_payments_payment_request_finalizeFinalize Payment Request
paystack_payments_payment_request_listList Payment Request
paystack_payments_payment_request_notifySend Notification
paystack_payments_payment_request_totalsPayment Request Total
paystack_payments_payment_request_updateUpdate Payment Request
paystack_payments_payment_request_verifyVerify Payment Request
paystack_payments_refund_createCreate Refund
paystack_payments_refund_fetchFetch Refund
paystack_payments_refund_listList Refunds
paystack_payments_refund_retryRetry Refund
paystack_payments_transaction_charge_authorizationCharge Authorization
paystack_payments_transaction_exportExport Transactions
paystack_payments_transaction_fetchFetch Transaction
paystack_payments_transaction_initializeInitialize Transaction
paystack_payments_transaction_listList Transactions
paystack_payments_transaction_partial_debitPartial Debit
paystack_payments_transaction_timelineFetch Transaction Timeline
paystack_payments_transaction_totalsTransaction Totals
paystack_payments_transaction_verifyVerify Transaction

paystack_payments_charge_check

Check pending charge Parameters:
ParameterTypeRequiredDefaultDescription
referencestringYesThe reference of the ongoing transaction

paystack_payments_charge_create

Create Charge Parameters:
ParameterTypeRequiredDefaultDescription
amountintegerYesAmount should be in kobo if currency is NGN, pesewas, if currency is GHS, and cents, if currency is ZAR
authorization_codestringNoAn authorization code to charge.
bankobjectNoThe bank object if charging a bank account
birthdaystringNoThe customer’s birthday in the format YYYY-MM-DD e.g 2017-05-16
device_idstringNoThis is the unique identifier of the device a user uses in making payment. Only -, .`, = and alphanumeric characters are allowed.
eftobjectNoDetails of the EFT provider
emailstringYesCustomer’s email address
metadataobjectNoJSON object of custom data
mobile_moneyobjectNoDetails of the mobile service provider
pinstringNo4-digit PIN (send with a non-reusable authorization code)
referencestringNoUnique transaction reference. Only -, .`, = and alphanumeric characters allowed.
ussdobjectNoThe USSD code for the provider to charge

paystack_payments_charge_submit_address

Submit Address Parameters:
ParameterTypeRequiredDefaultDescription
addressstringYesCustomer’s address
citystringYesCustomer’s city
referencestringYesThe reference of the ongoing transaction
statestringYesCustomer’s state
zip_codestringYesCustomer’s zipcode

paystack_payments_charge_submit_birthday

Submit Birthday Parameters:
ParameterTypeRequiredDefaultDescription
birthdaystringYesCustomer’s birthday in the format YYYY-MM-DD e.g 2016-09-21
referencestringYesThe reference of the ongoing transaction

paystack_payments_charge_submit_otp

Submit OTP Parameters:
ParameterTypeRequiredDefaultDescription
otpstringYesCustomer’s OTP for ongoing transaction
referencestringYesThe reference of the ongoing transaction

paystack_payments_charge_submit_phone

Submit Phone Parameters:
ParameterTypeRequiredDefaultDescription
phonestringYesCustomer’s mobile number
referencestringYesThe reference of the ongoing transaction

paystack_payments_charge_submit_pin

Submit PIN Parameters:
ParameterTypeRequiredDefaultDescription
pinstringYesCustomer’s PIN for the ongoing transaction
referencestringYesTransaction reference that requires the PIN

paystack_payments_dispute_download

Export Disputes Parameters:
ParameterTypeRequiredDefaultDescription
perPageintegerNoNumber of records to fetch per page
pageintegerNoThe section to retrieve
statusstringNoThe status value
fromstringNoThe start date
tostringNoThe end date

paystack_payments_dispute_evidence

Add Evidence Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of the dispute
customer_emailstringYesCustomer email
customer_namestringYesCustomer name
customer_phonestringYesCustomer mobile number
delivery_addressstringNoDelivery address
delivery_datestringNoISO 8601 representation of delivery date (YYYY-MM-DD)
service_detailsstringYesDetails of service offered

paystack_payments_dispute_fetch

Fetch Dispute Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of the dispute

paystack_payments_dispute_list

List Disputes Parameters:
ParameterTypeRequiredDefaultDescription
perPageintegerNoNumber of records to fetch per page
pageintegerNoThe section to retrieve
statusstringNoDispute status
transactionstringNoTransaction ID
fromstringNoThe start date
tostringNoThe end date

paystack_payments_dispute_resolve

Resolve Dispute Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of the dispute
evidenceintegerNoEvidence Id for fraud claims
messagestringYesReason for resolving
refund_amountintegerYesThe amount to refund, in the subunit of your integration currency
resolutionstringYesDispute resolution. Accepted values, merchant-accepted, declined
uploaded_filenamestringYesFilename of attachment returned via response from the Dispute upload URL

paystack_payments_dispute_transaction

List Transaction Disputes Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of the transaction

paystack_payments_dispute_update

Update Dispute Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of the dispute
refund_amountintegerYesThe amount to refund, in the subunit of your currency
uploaded_filenamestringNoFilename of attachment returned via response from the Dispute upload URL

paystack_payments_dispute_upload_url

Fetch Upload URL Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of the dispute

paystack_payments_payment_request_archive

Archive Payment Request Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of a previously created payment request

paystack_payments_payment_request_create

Create Payment Request Parameters:
ParameterTypeRequiredDefaultDescription
amountintegerYesPayment request amount. Only useful if line items and tax values are ignored. The endpoint will throw a friendly warning if neither is available.
currencystringNoSpecify the currency of the invoice. Allowed values are NGN, GHS, ZAR and USD. Defaults to NGN
customerstringYesCustomer id or code
descriptionstringNoA short description of the payment request
draftbooleanNoIndicate if request should be saved as draft. Defaults to false and overrides send_notification
due_datestringNoISO 8601 representation of request due date
has_invoicebooleanNoSet to true to create a draft invoice (adds an auto incrementing invoice number if none is provided) even if there are no line_items or tax passed
invoice_numberintegerNoNumeric value of invoice. Invoice will start from 1 and auto increment from there. This field is to help override whatever value Paystack decides. Auto increment for subsequent invoices continue from this point.
line_itemsobject[]NoArray of line items
send_notificationbooleanNoIndicates whether Paystack sends an email notification to customer. Defaults to true
split_codestringNoThe split code of the transaction split.
taxobject[]NoArray of taxes

paystack_payments_payment_request_fetch

Fetch Payment Request Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of a previously created payment request

paystack_payments_payment_request_finalize

Finalize Payment Request Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of a draft payment request

paystack_payments_payment_request_list

List Payment Request Parameters:
ParameterTypeRequiredDefaultDescription
perPageintegerNoNumber of records to fetch per page
pageintegerNoThe section to retrieve
customerstringNoCustomer ID
statusstringNoInvoice status to filter
currencystringNoIf your integration supports more than one currency, choose the one to filter
fromstringNoThe start date
tostringNoThe end date

paystack_payments_payment_request_notify

Send Notification Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of a previously created payment request

paystack_payments_payment_request_totals

Payment Request Total

paystack_payments_payment_request_update

Update Payment Request Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of a previously created payment request
amountintegerNoPayment request amount. Only useful if line items and tax values are ignored. The endpoint will throw a friendly warning if neither is available.
currencystringNoSpecify the currency of the invoice. Allowed values are NGN, GHS, ZAR and USD. Defaults to NGN
customerstringNoCustomer id or code
descriptionstringNoA short description of the payment request
draftbooleanNoIndicate if request should be saved as draft. Defaults to false and overrides send_notification
due_datestringNoISO 8601 representation of request due date
has_invoicebooleanNoSet to true to create a draft invoice (adds an auto incrementing invoice number if none is provided) even if there are no line_items or tax passed
invoice_numberintegerNoNumeric value of invoice. Invoice will start from 1 and auto increment from there. This field is to help override whatever value Paystack decides. Auto increment for subsequent invoices continue from this point.
line_itemsobject[]NoArray of line items
send_notificationbooleanNoIndicates whether Paystack sends an email notification to customer. Defaults to true
split_codestringNoThe split code of the transaction split.
taxobject[]NoArray of taxes

paystack_payments_payment_request_verify

Verify Payment Request Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of a previously created payment request

paystack_payments_refund_create

Create Refund Parameters:
ParameterTypeRequiredDefaultDescription
amountintegerNoAmount to be refunded to the customer. It cannot be more than the original transaction amount
currencystringNoThree-letter ISO currency
customer_notestringNoCustomer reason
merchant_notestringNoMerchant reason
transactionstringYesThe reference of a previosuly completed transaction

paystack_payments_refund_fetch

Fetch Refund Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe identifier of the refund

paystack_payments_refund_list

List Refunds Parameters:
ParameterTypeRequiredDefaultDescription
perPageintegerNoNumber of records to fetch per page
pageintegerNoThe section to retrieve
fromstringNoThe start date
tostringNoThe end date

paystack_payments_refund_retry

Retry Refund Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe identifier of the refund
refund_account_detailsobjectYesAn object that contains the customer’s account details for refund

paystack_payments_transaction_charge_authorization

Charge Authorization Parameters:
ParameterTypeRequiredDefaultDescription
amountintegerYesAmount in the lower denomination of your currency
authorization_codestringYesValid authorization code to charge
bearerstringNoThe bearer of the transaction charge
currencystringNoList of all support currencies
emailstringYesCustomer’s email address
metadatastringNoStringified JSON object of custom data
queuebooleanNoIf you are making a scheduled charge call, it is a good idea to queue them so the processing system does not get overloaded causing transaction processing errors.
referencestringNoUnique transaction reference. Only -, ., = and alphanumeric characters allowed.
splitobjectNoSplit configuration for transactions
split_codestringNoThe split code of the transaction split
subaccountstringNoThe code for the subaccount that owns the payment
transaction_chargestringNoA flat fee to charge the subaccount for a transaction. This overrides the split percentage set when the subaccount was created

paystack_payments_transaction_export

Export Transactions Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe start date
tostringNoThe end date
statusstringNoFilter by the status of the transaction
customernumberNoFilter by customer ID
subaccount_codestringNoFilter by subaccount code
settlementintegerNoFilter by the settlement ID

paystack_payments_transaction_fetch

Fetch Transaction Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe ID of the transaction to fetch

paystack_payments_transaction_initialize

Initialize Transaction Parameters:
ParameterTypeRequiredDefaultDescription
amountintegerYesAmount should be in smallest denomination of the currency.
bearerstringNoThe bearer of the transaction charge
callback_urlstringNoFully qualified url, e.g. https://example.com/ to redirect your customers to after a successful payment. Use this to override the callback url provided on the dashboard for this transaction
channelsstring[]NoAn array of payment channels to control what channels you want to make available to the user to make a payment with
currencystringNoList of all support currencies
emailstringYesCustomer’s email address
invoice_limitintegerNoNumber of times to charge customer during subscription to plan
labelstringNoUsed to replace the email address shown on the Checkout
metadataobjectNoJSON object of custom data
planstringNoIf transaction is to create a subscription to a predefined plan, provide plan code here. This would invalidate the value provided in amount
referencestringNoUnique transaction reference. Only -, ., = and alphanumeric characters allowed.
splitobjectNoSplit configuration for transactions
split_codestringNoThe split code of the transaction split
subaccountstringNoThe code for the subaccount that owns the payment
transaction_chargestringNoA flat fee to charge the subaccount for a transaction. This overrides the split percentage set when the subaccount was created

paystack_payments_transaction_list

List Transactions Parameters:
ParameterTypeRequiredDefaultDescription
use_cursorbooleanNoA flag to indicate if cursor based pagination should be used
nextstringNoAn alphanumeric value returned for every cursor based retrieval, used to retrieve the next set of data
previousstringNoAn alphanumeric value returned for every cursor based retrieval, used to retrieve the previous set of data
per_pageintegerNoThe number of records to fetch per request
pageintegerNoThe offset to retrieve data from
fromstringNoThe start date
tostringNoThe end date
statusstringNoFilter transaction by status
sourcestringNoThe origin of the payment
terminal_idstringNoFilter transactions by a terminal ID
virtual_account_numberstringNoFilter transactions by a virtual account number
customer_codestringNoFilter transactions by a customer code
amountintegerNoFilter transactions by a specific amount
settlementintegerNoThe settlement ID to filter for settled transactions
channelstringNoThe payment method the customer used to complete the transaction
subaccount_codestringNoFilter transaction by subaccount code
split_codestringNoFilter transaction by split code

paystack_payments_transaction_partial_debit

Partial Debit Parameters:
ParameterTypeRequiredDefaultDescription
amountintegerYesSpecified in the lowest denomination of your currency
at_leaststringNoMinimum amount to charge
authorization_codestringYesValid authorization code to charge
currencystringYesList of all support currencies
emailstringYesCustomer’s email address
referencestringNoUnique transaction reference. Only -, ., = and alphanumeric characters allowed.

paystack_payments_transaction_timeline

Fetch Transaction Timeline Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe ID of the transaction to fetch

paystack_payments_transaction_totals

Transaction Totals Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe start date
tostringNoThe end date

paystack_payments_transaction_verify

Verify Transaction Parameters:
ParameterTypeRequiredDefaultDescription
referencestringYesThe transaction reference to verify